<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Reader\IReader</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::IReader constructor.">
            <span class="description">IReader constructor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_canRead" title="canRead ::Can the current IReader read the file?">
            <span class="description">Can the current IReader read the file?</span><pre>canRead</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIncludeCharts" title="getIncludeCharts ::Read charts in workbook?
       If this is true, then the Reader will include any charts that exist in the workbook.">
            <span class="description">Read charts in workbook?
       If this is true, then the Reader will include any charts that exist in the workbook.</span><pre>getIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLoadSheetsOnly" title="getLoadSheetsOnly ::Get which sheets to load
Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null
       indicating that all worksheets in the workbook should be loaded.">
            <span class="description">Get which sheets to load
Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null
       indicating that all worksheets in the workbook should be loaded.</span><pre>getLoadSheetsOnly</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getReadDataOnly" title="getReadDataOnly ::Read data only?
       If this is true, then the Reader will only read data values for cells, it will not read any formatting information.">
            <span class="description">Read data only?
       If this is true, then the Reader will only read data values for cells, it will not read any formatting information.</span><pre>getReadDataOnly</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getReadEmptyCells" title="getReadEmptyCells ::Read empty cells?
       If this is true (the default), then the Reader will read data values for all cells, irrespective of value.">
            <span class="description">Read empty cells?
       If this is true (the default), then the Reader will read data values for all cells, irrespective of value.</span><pre>getReadEmptyCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getReadFilter" title="getReadFilter ::Read filter.">
            <span class="description">Read filter.</span><pre>getReadFilter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_load" title="load ::Loads PhpSpreadsheet from file.">
            <span class="description">Loads PhpSpreadsheet from file.</span><pre>load</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setIncludeCharts" title="setIncludeCharts ::Set read charts in workbook
       Set to true, to advise the Reader to include any charts that exist in the workbook.">
            <span class="description">Set read charts in workbook
       Set to true, to advise the Reader to include any charts that exist in the workbook.</span><pre>setIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLoadAllSheets" title="setLoadAllSheets ::Set all sheets to load
       Tells the Reader to load all worksheets from the workbook.">
            <span class="description">Set all sheets to load
       Tells the Reader to load all worksheets from the workbook.</span><pre>setLoadAllSheets</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLoadSheetsOnly" title="setLoadSheetsOnly ::Set which sheets to load.">
            <span class="description">Set which sheets to load.</span><pre>setLoadSheetsOnly</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setReadDataOnly" title="setReadDataOnly ::Set read data only
       Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.">
            <span class="description">Set read data only
       Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.</span><pre>setReadDataOnly</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setReadEmptyCells" title="setReadEmptyCells ::Set read empty cells
       Set to true (the default) to advise the Reader read data values for all cells, irrespective of value.">
            <span class="description">Set read empty cells
       Set to true (the default) to advise the Reader read data values for all cells, irrespective of value.</span><pre>setReadEmptyCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setReadFilter" title="setReadFilter ::Set read filter.">
            <span class="description">Set read filter.</span><pre>setReadFilter</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>IReader</h1>
                <small style="display: block; text-align: right">                        Extends                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>IReader constructor.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_canRead"></a>
                        <div class="element clickable methodpublic method_canRead" data-toggle="collapse" data-target=".method_canRead .collapse">
                            <h2>Can the current IReader read the file?</h2>
                            <pre>canRead(string $pFilename): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIncludeCharts"></a>
                        <div class="element clickable methodpublic method_getIncludeCharts" data-toggle="collapse" data-target=".method_getIncludeCharts .collapse">
                            <h2>Read charts in workbook?
       If this is true, then the Reader will include any charts that exist in the workbook.</h2>
                            <pre>getIncludeCharts(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value.
If false (the default) it will ignore any charts defined in the workbook file.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLoadSheetsOnly"></a>
                        <div class="element clickable methodpublic method_getLoadSheetsOnly" data-toggle="collapse" data-target=".method_getLoadSheetsOnly .collapse">
                            <h2>Get which sheets to load
Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null
       indicating that all worksheets in the workbook should be loaded.</h2>
                            <pre>getLoadSheetsOnly(): mixed</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>mixed</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReadDataOnly"></a>
                        <div class="element clickable methodpublic method_getReadDataOnly" data-toggle="collapse" data-target=".method_getReadDataOnly .collapse">
                            <h2>Read data only?
       If this is true, then the Reader will only read data values for cells, it will not read any formatting information.</h2>
                            <pre>getReadDataOnly(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>If false (the default) it will read data and formatting.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReadEmptyCells"></a>
                        <div class="element clickable methodpublic method_getReadEmptyCells" data-toggle="collapse" data-target=".method_getReadEmptyCells .collapse">
                            <h2>Read empty cells?
       If this is true (the default), then the Reader will read data values for all cells, irrespective of value.</h2>
                            <pre>getReadEmptyCells(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>If false it will not read data for cells containing a null value or an empty string.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReadFilter"></a>
                        <div class="element clickable methodpublic method_getReadFilter" data-toggle="collapse" data-target=".method_getReadFilter .collapse">
                            <h2>Read filter.</h2>
                            <pre>getReadFilter(): \PhpOffice\PhpSpreadsheet\Reader\IReadFilter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReadFilter.html">\PhpOffice\PhpSpreadsheet\Reader\IReadFilter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_load"></a>
                        <div class="element clickable methodpublic method_load" data-toggle="collapse" data-target=".method_load .collapse">
                            <h2>Loads PhpSpreadsheet from file.</h2>
                            <pre>load(string $pFilename): \PhpOffice\PhpSpreadsheet\Spreadsheet</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setIncludeCharts"></a>
                        <div class="element clickable methodpublic method_setIncludeCharts" data-toggle="collapse" data-target=".method_setIncludeCharts .collapse">
                            <h2>Set read charts in workbook
       Set to true, to advise the Reader to include any charts that exist in the workbook.</h2>
                            <pre>setIncludeCharts(boolean $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value.
Set to false (the default) to discard charts.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLoadAllSheets"></a>
                        <div class="element clickable methodpublic method_setLoadAllSheets" data-toggle="collapse" data-target=".method_setLoadAllSheets .collapse">
                            <h2>Set all sheets to load
       Tells the Reader to load all worksheets from the workbook.</h2>
                            <pre>setLoadAllSheets(): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLoadSheetsOnly"></a>
                        <div class="element clickable methodpublic method_setLoadSheetsOnly" data-toggle="collapse" data-target=".method_setLoadSheetsOnly .collapse">
                            <h2>Set which sheets to load.</h2>
                            <pre>setLoadSheetsOnly(mixed $value): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name.
If NULL, then it tells the Reader to read all worksheets in the workbook</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setReadDataOnly"></a>
                        <div class="element clickable methodpublic method_setReadDataOnly" data-toggle="collapse" data-target=".method_setReadDataOnly .collapse">
                            <h2>Set read data only
       Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.</h2>
                            <pre>setReadDataOnly(boolean $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Set to false (the default) to advise the Reader to read both data and formatting for cells.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setReadEmptyCells"></a>
                        <div class="element clickable methodpublic method_setReadEmptyCells" data-toggle="collapse" data-target=".method_setReadEmptyCells .collapse">
                            <h2>Set read empty cells
       Set to true (the default) to advise the Reader read data values for all cells, irrespective of value.</h2>
                            <pre>setReadEmptyCells(boolean $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Set to false to advise the Reader to ignore cells containing a null value or an empty string.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setReadFilter"></a>
                        <div class="element clickable methodpublic method_setReadFilter" data-toggle="collapse" data-target=".method_setReadFilter .collapse">
                            <h2>Set read filter.</h2>
                            <pre>setReadFilter(\PhpOffice\PhpSpreadsheet\Reader\IReadFilter $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReadFilter.html">\PhpOffice\PhpSpreadsheet\Reader\IReadFilter</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Reader\IReader"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Reader.html">Reader</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">IReader</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:58 +0000.<br/>
    </footer></body>
</html>
